Bug 73052 - Up2date fails when resolving deps
Up2date fails when resolving deps
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-08-30 01:46 EDT by Gregory Leblanc
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-20 10:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gregory Leblanc 2002-08-30 01:46:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
The failure modes are slightly different from command line to GUI, but they look
pretty similar to my untrained eye

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run up2date -u 


1. run up2date
2. select packages to update
3. hit forward to go to the screen about packages required to solve dependancies

Actual Results:  In GUI mode, the "progress dialog" stalls at 0% of "Testing
package set / solving RPM inter-dependancies".

In TUI mode, traceback is generated immediately after "Testing package set /
solving RPM inter-dependencies..."

Expected Results:  up2date should check dependancies, and install packages

Additional info:

Sorry these are so long, but they're much easier to search on in the body of a
bug than in an attachment.  

[gleblanc@peecee BUILD]$ rpm -q up2date

Text mode traceback:

Testing package set / solving RPM inter-dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 800, in ?
  File "/usr/sbin/up2date", line 536, in main
    sys.exit(batchRun(options.list, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 749, in batchRun
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 57, in run
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 111, in __dryRun
  File "/usr/share/rhn/up2date_client/up2date.py", line 405, in dryRun
    rc = depsolve.run()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 473, in run
AttributeError: setProbFilter

GUI Traceback:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1311, in onPackagePageNext
  File "/usr/share/rhn/up2date_client/up2date.py", line 405, in dryRun
    rc = depsolve.run()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 473, in run
AttributeError: setProbFilter
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1375, in onDependencyPagePrepare
    for pkg in self.depPackages:
AttributeError: Gui instance has no attribute 'depPackages'
Comment 1 Adrian Likins 2002-08-30 19:19:55 EDT
Can you try this with the very latest rpm from rawhide?
Comment 2 Gregory Leblanc 2002-08-30 19:45:07 EDT
[gleblanc@peecee gleblanc]$ rpm -q up2date

I get the same trace, except that a few of the line numbers are changed.
Comment 3 Adrian Likins 2002-08-30 19:57:45 EDT
heh, I meant the very latest version of the rpm package. The
error looks to be an old version of rpm without a new method
new up2date is calling (ie, rpm.ts.setProbFilter())

Sorry about that (second time I've done that even...)
Comment 4 Gregory Leblanc 2002-08-30 20:14:47 EDT
Ahh, I see!  I did have the latest rpm package installed, but not the latest
rpm-python nor rpm404-python packages installed.  I installed both of those, and
now it works.  Sounds like a Requires line got left out of one of those packages.
Comment 5 Adrian Likins 2002-08-30 22:10:42 EDT
Yeah, pretty much. Next version should have a more up2date
requires line.
Comment 6 Matt Jamison 2003-05-20 10:45:59 EDT
resolved, closing bug.

Note You need to log in before you can comment on or make changes to this bug.